<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: theme.php
| Author: Matej Krhin (itanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_WIDTH", "80%");
define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='' style='border:0' />");

require_once INCLUDES."theme_functions_include.php";
include THEME."functions.php";

function render_page($license=false) {

	global $settings, $main_style;

	//Container
	echo "<table cellspacing='0' cellpadding='0' align='center' width='".THEME_WIDTH."' class='container'>\n<tr>\n<td>\n";
	
	//Header
	echo "<table cellspacing='0' cellpadding='0' width='100%' class='header'>\n<tr>\n";
	echo "<td class='banners'>".showbanners()."</td>\n";
	echo "<td class='description'>".$settings['description']."</td>\n";
	echo "<td class='tools'><img src='".THEME."images/rss-r.png' alt='RSS news' height='20px' width='109px' /> <img src='".THEME."images/rss-e.png' alt='RSS news' height='20px' width='121px' /></td>\n";
	echo "</tr>\n</table>\n";
	//Navigation
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='navi-top' colspan='2'></td>\n</tr>\n<tr>\n";
	echo "<td class='sub-header'>".navigacija()."</td>\n";
	echo "<td align='right' class='sub-header'>".search()."</td>\n";
	echo "</tr>\n</table>\n";
	
	//Content
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='$main_style'>\n<tr>\n";
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	//Footer
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='footer-l'>".stripslashes($settings['footer'])." | <a href='".BASEDIR."contact.php' class='footer' alt='Contact'>Kontakt</a></td>\n";
	echo "<td class='footer-d'><img src='".THEME."images/rss-f.png' alt='RSS news' height='13px' width='79px'/></td>\n";
	echo "</td>\n</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='footer-2'>".showcopyright()."</td>\n";
	echo "<td class='footer-2'>Theme Moso By <a href='http://www.phpfusion-si.com' border='0px' target='_blank'>SiFusion</a>.</td>\n";
	echo "<td class='footer-2' align='right' valign='top'>".showcounter()."<br>".date("d. m. y")."</td>\n";
	echo "</tr>\n</table>\n";
	
	//Container
	echo "</td>\n</tr>\n</table>\n";

}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='main-body'>".$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='main-body'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n</tr>\n</table>\n";

}

function openside($title, $collapse = false, $state = "on") {
	
	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='border'>\n<tr>\n";
	echo "<td class='scapmain' valign='top'>".$title."</td>\n";
	echo "<td class='scapmainr' align='right'>".($collapse == true ? panelbutton($state,$boxname = str_replace(' ', '', $title)) : "")."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td colspan='2' class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside($collapse = false) {

	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";

}
?>